# responder

## Building Prerequisites

1. Install a rust stable toolchain: `rustup install stable`
1. Install a rust nightly toolchain: `rustup install nightly`
1. Install bpf-linker: `cargo install bpf-linker`

## Build Artifacts

```bash
cargo xtask build-artifacts
./bin/responder --csv <CSV>
```


Check the help page for more options:
```bash
./bin/responder --help
```

## Run and Build for Development


Build userspace code:

```bash
cargo build
```

Build eBPF code:

``` bash
cargo xtask build-ebpf
```

Run both (also builds both):

```bash
cargo xtask run
```
